{
  "datacenter": "samfelag",
  "data_dir": "/opt/consul",

  "tls": {
    "defaults": {
      "verify_incoming": false,
      "verify_outgoing": true,
      "ca_file": "/etc/consul.d/certs/consul-agent-ca.pem"
    },
    "internal_rpc": {
      "verify_server_hostname": true
    }
  },
  "auto_encrypt": {
      "tls": true
  },

  "bind_addr": "{{ GetInterfaceIP \"tailscale0\" }}",
  "advertise_addr": "{{ GetInterfaceIP \"tailscale0\" }}",
  "client_addr": "0.0.0.0",
  "retry_join": ["100.80.195.56", "100.107.148.47"],

  "ports": {
    "grpc_tls": 8502
  },

  "acl": {
    "enabled": true,
    "default_policy": "allow",
    "enable_token_persistence": true
  },

  "connect": {
    "enabled": true
  },

  "performance": {
    "raft_multiplier": 1
  }
}
